<?php
add_action('wp_enqueue_scripts', 'pogon_theme_scripts_styles');
add_action('wp_enqueue_scripts', 'pogon_theme_script_default');


function pogon_theme_scripts_styles() {

    // enqueue the javascript that performs in-link comment reply fanciness
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' ); 
    }
    
    /* Add Javascript  */
    wp_enqueue_script( 'bootstrap', POGON_URI.'/assets/libs/bootstrap/js/bootstrap.bundle.min.js' , array( 'jquery' ), null, true );
    wp_enqueue_script( 'select2', POGON_URI.'/assets/libs/select2/select2.min.js' , array( 'jquery' ), null, true );

    // Load js when product detail
    if( is_singular( 'product' ) ){
        if( is_ssl() ){
          wp_enqueue_script('prettyphoto', POGON_URI.'/assets/libs/prettyphoto/jquery.prettyPhoto_https.js', array('jquery'),null,true);  
        }else{
          wp_enqueue_script('prettyphoto', POGON_URI.'/assets/libs/prettyphoto/jquery.prettyPhoto.js', array('jquery'),null,true);
        }
        wp_enqueue_style('prettyphoto', POGON_URI.'/assets/libs/prettyphoto/css/prettyPhoto.css', array(), null);
    }

    if( is_singular( 'product' ) )  {
        wp_enqueue_script('owl-carousel', POGON_URI.'/assets/libs/owl-carousel/owl.carousel.min.js', array('jquery'),null,true);
        wp_enqueue_style('owl-carousel', POGON_URI.'/assets/libs/owl-carousel/assets/owl.carousel.min.css', array(), null);
    }


    wp_enqueue_script('pogon-script', POGON_URI.'/assets/js/script.js', array('jquery'),null,true);

    /* Add Css  */
    wp_enqueue_style('bootstrap', POGON_URI.'/assets/libs/bootstrap/css/bootstrap.min.css', array(), null);
    

    wp_enqueue_style( 'select2', POGON_URI. '/assets/libs/select2/select2.min.css', array(), null );

    wp_enqueue_style('v4-shims', POGON_URI.'/assets/libs/fontawesome/css/v4-shims.min.css', array(), null);
    wp_enqueue_style('fontawesome', POGON_URI.'/assets/libs/fontawesome/css/all.min.css', array(), null);
    wp_enqueue_style('elegant-font', POGON_URI.'/assets/libs/elegant_font/ele_style.css', array(), null);
    wp_enqueue_style( 'themify-icon', POGON_URI.'/assets/libs/themify-icon/themify-icons.css', array(), null );
    wp_enqueue_style( 'flaticon', POGON_URI.'/assets/libs/flaticon/font/flaticon.css', array(), null );
    
    
    
    wp_enqueue_style('pogon-theme', POGON_URI.'/assets/css/theme.css', array(), null);

    

}

function pogon_theme_script_default(){

    if ( is_child_theme() ) {
      wp_enqueue_style( 'parent-style', trailingslashit( get_template_directory_uri() ) . 'style.css', array(), null );
    }

    wp_enqueue_style( 'pogon-style', get_stylesheet_uri(), array(), null );
}


